WbProperty (Gradle API 8.11.1)

Package org.gradle.plugins.ide.eclipse.model

## Class WbProperty

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.WbProperty

- All Implemented Interfaces:
    `WbModuleEntry`

      public class WbProperty
      extends java.lang.Object
      implements WbModuleEntry

  A wtp descriptor property entry.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WbProperty​(Node node)` |
    `WbProperty​(java.lang.String name, java.lang.String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendNode​(Node node)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getValue()` |
    `int` | `hashCode()` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setValue​(java.lang.String value)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WbProperty

          public WbProperty​(Node node)

    - #### WbProperty

          public WbProperty​(java.lang.String name,
                            java.lang.String value)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### appendNode

          public void appendNode​(Node node)

      Specified by:
        `appendNode` in interface `WbModuleEntry`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`